/* fueue.h -- FIFO XORed IPC File List
 * 
 * Copyright (C) 2004 H Zero Seven
 *
 * Authors: Christian Volmering <risk@h07.org>
 * 
 * This file is part of the aexpl-ng distribution.
 * 
 * The aexpl-ng distribution is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 *
 * The aexpl-ng distribution is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied 
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the aexpl-ng distribution; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 * MA 02111-1307 USA
 */

#ifndef _H07_FQUEUE_H
#define _H07_FQUEUE_H

typedef struct _fqueue_t *fqueue_t;

extern fqueue_t new_fqueue (int);
extern int open_fqueue (fqueue_t);
extern void free_fqueue (fqueue_t);
extern int fempty (fqueue_t);
extern int fsize (fqueue_t);
extern int fclear (fqueue_t);
extern int fenqueue (fqueue_t, const char *);
extern char *fdequeue (fqueue_t, char *);

#endif /* _H07_FQUEUE_H */

/*
 * Local variables:
 * tab-width: 8
 * c-basic-offset: 8
 * End:
 * vim600: noet nonu sw=8 ts=8 fdm=marker
 * vim<600: noet nonu sw=8 ts=8
 */
